package cn.com.poc.thirdparty.resource.demand.pay.dto.payConfig;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * @author Roger Wu
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class PayCallBackRequest {

    /**
     * 支付单号
     */
    private String bizUniqueNo;

    /**
     * 支付流水号
     */
    private String payLogSn;

    /**
     * 金额
     */
    private Integer amount;

    /**
     * 支付渠道
     */
    private String payChannel;

    public String getBizUniqueNo() {
        return bizUniqueNo;
    }

    public void setBizUniqueNo(String bizUniqueNo) {
        this.bizUniqueNo = bizUniqueNo;
    }

    public String getPayLogSn() {
        return payLogSn;
    }

    public void setPayLogSn(String payLogSn) {
        this.payLogSn = payLogSn;
    }

    public Integer getAmount() {
        return amount;
    }

    public void setAmount(Integer amount) {
        this.amount = amount;
    }

    public String getPayChannel() {
        return payChannel;
    }

    public void setPayChannel(String payChannel) {
        this.payChannel = payChannel;
    }
}
